<?php
namespace Mince;

use Index\Routing\{Route,RouteHandler};
use Sasae\SasaeEnvironment;

class HomeRoutes extends RouteHandler {
    public function __construct(
        private SasaeEnvironment $templating,
        private Servers $servers,
        private object $userInfo,
        private string $loginUrl
    ) {}

    #[Route('GET', '/')]
    public function getIndex($response, $request) {
        return $this->templating->render('index', [
            'servers' => iterator_to_array($this->servers->getServers(deleted: false)),
        ]);
    }

    #[Route('GET', '/login')]
    public function getLogin($response) {
        $response->redirect($this->userInfo->success ? '/' : $this->loginUrl);
    }

    #[Route('GET', '/downloads')]
    public function getDownloads() {
        return $this->templating->render('downloads');
    }

    #[Route('GET', '/guide')]
    public function getGuide() {
        return $this->templating->render('guide');
    }

    #[Route('GET', '/index.php')]
    public function getRedirect($response) {
        $response->redirect('/', true);
    }
}
